DIRECT_PROMPT = (
    "You are a powerful question-answering system.\n"
    "Your task is to use your own knowledge to answer the question.\n"
    "If you are unable to answer the question, respond with the \"unknown\" choice number.\n"
    "Answer the following question with your choice (0, 1, etc.): [Question]\n"
    "Desired format: Thought process: <Thought process>, Final Choice: [Final Choice].\n"
    "The Final Choice MUST be a number! DON NOT output anything after the choice.\n"       
    "Let’s think step by step.\n"
)

NP_PROMPT = (
    "You are a powerful question-answering system.\n"
    "Users will provide some information along with a question. Your task is to combine the information provided by the user with your own knowledge to answer the question.\n"
    "If you are unable to answer the question, respond with the \"unknown\" choice number.\n"
    "Here is the basic information about an entity you can refer:\n"
    "###\n"
    "[Taxon]\n"
    "###\n"
    "Answer the following question with your choice (0, 1, 2, etc.): [Question]\n"
    "Desired format: Thought process: <Thought process>, Final Choice: [Final Choice].\n"
    "The Final Choice MUST be a number! DON NOT output anything after the choice.\n"       
    "Let’s think step by step.\n"
)

TRUST_OWN_KNOWLEDGE_PROMPT = (
    "You are a powerful question-answering system.\n"
    "Users will provide some information along with a question. Your task is to combine the information provided by the user with your own knowledge to answer the question.\n"
    "If you are unable to answer the question, respond with the \"unknown\" choice number.\n"
    "Here is the basic information about an entity you can refer:\n"
    "###\n"
    "[Taxon]\n"
    "###\n"
    "Answer the following question with your choice (0, 1, 2, 3, etc.): [Question]\n"
    "Note that the information above is not enough to answer the question, you MUST use your own knowledge to further reason the final answer.\n"
    "Desired format: Thought process: <Thought process>, Final Choice: [Final Choice].\n"
    "DON NOT output anything after the choice number.\n"       
    "Let’s think step by step.\n"
)


CON_TRUST_OWN_KNOWLEDGE_PROMPT = (
    "You are a powerful question-answering system.\n"
    "Users will provide some information along with a question. Your task is to combine the information provided by the user with your own knowledge to answer the question.\n"
    "If you are unable to answer the question, respond with the \"unknown\" choice number.\n"
    "Here is the basic information about an entity you can refer:\n"
    "###\n"
    "[Taxon]\n"
    "###\n"
    "Answer the following question with your choice (0, 1, 2, etc.): [Question]\n"
    "Determine whether the given information about the question conflicts with your own knowledge.\n"
    "If you think the above knowledge conflicts with your own knowledge, you MUST USE your own knowledge to answer the question.\n"
    "Desired format: Thought process: <Thought process>, Final Choice: [Final Choice].\n"
    "DON NOT output anything after the choice number.\n"       
    "Let’s think step by step.\n"
)


CON_TRUST_OWN_HALF_KNOWLEDGE_PROMPT = (
    "You are a powerful question-answering system.\n"
    "Users will provide some information along with a question. Your task is to combine the information provided by the user with your own knowledge to answer the question.\n"
    "If you are unable to answer the question, respond with the \"unknown\" choice number.\n"
    "Here is the basic information about an entity you can refer:\n"
    "###\n"
    "[Taxon]\n"
    "###\n"
    "Answer the following question with your choice (0, 1, 2, etc.): [Question]\n"
    "Determine whether the given information about the question conflicts with your own knowledge.\n"
    "If you are more than FIFTY PERCENT SURE of your own knowledge, you MUST USE your own knowledge to answer the question.\n"
    "Desired format: Thought process: <Thought process>, Final Choice: [Final Choice].\n"
    "The Final Choice MUST be a number! DON NOT output anything after the choice.\n"       
    "Let’s think step by step.\n"
)


CON_OUTPUT_OWN_FIRST_PROMPT = (
    "You are a powerful question-answering system.\n"
    "Users will provide some information along with a question. Your task is to use the information provided by the user and your own knowledge to answer the question.\n"
    "If you are unable to answer the question, respond with the \"unknown\" choice number.\n"
    "Answer the following question with your choice (0, 1, 2, etc.): [Question]\n"
    "You MUST first output your own knowledge about the question. I am sure you have the knowledge!\n"
    "Here is the Given Knowledge:\n"
    "###\n"
    "[Taxon]\n"
    "###\n"
    "Determine whether the given information about the question conflicts with your own knowledge.\n"
    "If you think the Given Knowledge conflicts with your own knowledge, you MUST USE your own knowledge to answer the question.\n"
    "Desired format: Thought process: <Thought process>, My Own Knowledge: <My Own Knowledge>, Final Choice: [Final Choice].\n"
    "The Final Choice MUST be a number! DON NOT output anything after the choice.\n"       
    "Let’s think step by step.\n"
)

