DIRECT_REASONING_PROMPT = """You are a powerful question-answering system.
Your task is to use your own knowledge to answer a multiple-choice question.
If you are unable to answer the question, respond with the \"Unknown\" choice key.
Answer the following question with your choice (0, 1, 2, etc.): [Question]
Desired format: Thought process: <Thought process>, Final Choice: [Final Choice].
The Final Choice MUST be a number! DON NOT output anything after the choice.     
Let’s think step by step. 
"""

REASONING_NEUTRAL_PROMPT = """You are a powerful question-answering system.
Users will provide some information along with a question. Your task is to combine the information provided by the user with your knowledge to answer the question.
If you are unable to answer the question, respond with the \"Unknown\" choice key.
Here is the basic information you can refer:
###
[Taxon]
###
Answer the following question with your choice (0, 1, 2, etc.): [Question]
Desired format: Thought process: <Thought process>, Final Choice: [Final Choice].
The Final Choice MUST be a number! DON NOT output anything after the choice.     
Let’s think step by step. 
"""

REASONING_TRUST_OWN_KNOWLEDGE_PROMPT = """You are a powerful question-answering system.
Users will provide some information along with a question. Your task is to combine the information provided by the user with your knowledge to answer the question.
If you are unable to answer the question, respond with the \"Unknown\" choice key.
Here is the basic information you can refer:
###
[Taxon]
###
Answer the following question with your choice (0, 1, 2, etc.): [Question]
Note that the information above is not sufficient to answer the question, you should use your own knowledge to further reason the final answer.
Desired format: Thought process: <Thought process>, Final Choice: [Final Choice].
The Final Choice MUST be a number! DON NOT output anything after the choice.     
Let’s think step by step. 
"""


CON_TRUST_OWN_KNOWLEDGE_PROMPT = """You are a powerful question-answering system.
Users will provide some information along with a question. Your task is to combine the information provided by the user with your own knowledge to answer the question.
If you are unable to answer the question, respond with the \"unknown\" choice key.
Here is the basic information about an entity you can refer:
###
[Taxon]
###
Answer the following question with your choice (0, 1, 2, etc.): [Question]
Determine whether the given information about the question conflicts with your own knowledge.
If you think the above knowledge conflicts with your own knowledge, you MUST USE your own knowledge to answer the question.
Desired format: Thought process: <Thought process>, Final Choice: [Final Choice].
The Final Choice MUST be a number! DON NOT output anything after the choice.     
Let’s think step by step. 
"""

CON_TRUST_OWN_HALF_PROMPT = """You are a powerful question-answering system.
Users will provide some information along with a question. Your task is to combine the information provided by the user with your own knowledge to answer the question.
If you are unable to answer the question, respond with the \"unknown\" choice key.
Here is the basic information about an entity you can refer:
###
[Taxon]
###
Answer the following question with your choice (0, 1, 2, etc.): [Question]
Determine whether the given information about the question conflicts with your own knowledge.
If you are more than FIFTY PERCENT SURE of your own knowledge, you MUST USE your own knowledge to answer the question.
Desired format: Thought process: <Thought process>, Final Choice: [Final Choice].
The Final Choice MUST be a number! DON NOT output anything after the choice.     
Let’s think step by step. 
"""

CON_OUTPUT_OWN_FIRST_PROMPT = (
    "You are a powerful question-answering system.\n"
    "Users will provide some information along with a question. Your task is to use the information provided by the user and your own knowledge to answer the question.\n"
    "If you are unable to answer the question, respond with the \"unknown\" choice number.\n"
    "Answer the following question with your choice (0, 1, 2, etc.): [Question]\n"
    "You MUST first output your own knowledge about the question. I am sure you have the knowledge!\n"
    "Here is the Given Knowledge:\n"
    "###\n"
    "[Taxon]\n"
    "###\n"
    "Determine whether the given information about the question conflicts with your own knowledge.\n"
    "If you think the Given Knowledge conflicts with your own knowledge, you MUST USE your own knowledge to answer the question.\n"
    "Desired format: Thought process: <Thought process>, My Own Knowledge: <My Own Knowledge>, Final Choice: [Final Choice].\n"
    "The Final Choice MUST be a number! DON NOT output anything after the choice.\n"       
    "Let’s think step by step.\n"
)


CONSTRUCT_CONFLICT_KNOW_PROMPT = """You are tasked with generating conflicting knowledge based on the given knowledge and creating a related multiple-choice question.
Follow these steps:

1. Generate Conflict Knowledge:
Create a conflicting statement or fact that contradicts the given knowledge. This conflict should challenge the established understanding.
2. Formulate a Multiple Choice Question:
Create a question that asks for the truth regarding the conflicting knowledge. The question should be about the conflict knowledge. Provide two answer choices. Include:
0. One choice that aligns with the given knowledge.
1. One choice that supports the conflicting knowledge.

Your generated conflicting knowledge should contain information with similar volumn as the given knowledge.
The Label of choice should be 0. and 1.
Do not output anything after the Desired Output.
Here is the knowledge you should refer:
###
[Taxon]
###
Desired Output Format:
Thought: <thought>
Conflicting Knowledge: <new_knowledge>
Question: <new_question_with_two_choice>
Let's think step by step.
###
"""

